Ivy Biosciences Docs/Call the platform/API/Reference/Reference/Sessions/GET /harness/sessions/{sessionId}
GET /harness/sessions/{sessionId}
Get a session
Auth: required. Send an
ivy_ API key (Authorization: Bearer ivy_… or X-Ivy-Api-Key), a Clerk session JWT (Authorization: Bearer …) or the Clerk __session cookie (browser sessions). See Authentication.Returns one of your sessions, including its full persisted state. Sessions owned by another user return 404.
Request
Path parameters
sessionIdstring (uuid)
Session UUID (UUIDv7 — time-ordered)
Responses
200 OK
Session found
Response shape:
idstring (uuid)
titlestring
versioninteger
Monotonically increasing optimistic-concurrency counter
schemaVersioninteger
Session state schema version (currently 1)
stateobject
Full session state snapshot persisted in Supabase
messageCountinteger
createdAtstring (date-time)
updatedAtstring (date-time)
lastActiveAtstring (date-time)
401 Unauthorized
Authentication required
Response shape: object
404 Not Found
Resource not found
Response shape: object
Was this page helpful?